Delete a template
Deletes a template by ID. Optionally, you can also delete the template from WhatsApp/Meta by setting delete_from_meta=true.
Path Parameters
Template ID from route parameter
uuidHeader Parameters
Profile UUID to scope the request to a child profile. Only organization API keys can use this header. The profile must belong to the calling organization.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X DELETE "https://api.sent.dm/v3/templates/7ba7b820-9dad-11d1-80b4-00c04fd430c8" \ -H "Content-Type: application/json" \ -d '{ "delete_from_meta": false, "sandbox": false }'{
"success": false,
"data": null,
"error": {
"code": "VALIDATION_001",
"message": "Invalid template ID format.",
"details": null,
"doc_url": "https://docs.sent.dm/errors/VALIDATION_001"
},
"meta": {
"request_id": "req_7X9zKp2jDw",
"timestamp": "2026-03-11T21:50:49.846827+00:00",
"version": "v3"
}
}{
"success": false,
"data": null,
"error": {
"code": "RESOURCE_002",
"message": "Template not found",
"details": null,
"doc_url": "https://docs.sent.dm/errors/RESOURCE_002"
},
"meta": {
"request_id": "req_7X9zKp2jDw",
"timestamp": "2026-03-11T21:50:49.8468298+00:00",
"version": "v3"
}
}{
"success": false,
"data": null,
"error": {
"code": "INTERNAL_001",
"message": "An unexpected error occurred while deleting the template",
"details": null,
"doc_url": "https://docs.sent.dm/errors/INTERNAL_001"
},
"meta": {
"request_id": "req_7X9zKp2jDw",
"timestamp": "2026-03-11T21:50:49.8468304+00:00",
"version": "v3"
}
}Update a template PUT
Updates an existing template's name, category, language, definition, or submits it for review.
List profiles in organization GET
Retrieves all sender profiles within an organization, including brand information for each profile. Profiles represent different brands, departments, or use cases within an organization, each with their own messaging configuration.